Subject: Re: failed to push

From: Bruce Korb <[email-masked]>
Date: Mon, 01 Mar 2010 13:23:10 -0800

Bruce Korb wrote:
> Hi,
> 
> This message has no meaning at all.  I know it failed to push.
> I can tell from the comment "[rejected]".  It would be nice
> to know *WHY* it was rejected so I can fix the problem.
> How do I determine the cause, please?  Thank you!!  Regards, Bruce
> 
> $ git push
> To ssh://[email-masked]/gitroot/autogen/autogen
>  ! [rejected]        master -> master (non-fast forward)
> error: failed to push some refs to 'ssh://[email-masked]/gitroot/autogen/autogen'
> 

A little follow up context:

I used the "git gui citool".  I saw a button to allow an amendment to a
previous checkin.  That seemed most appropriate, so I did that.  I had
previously pushed the commit to the sourceforge repository, so my guess
was that pushing would amend the checkin at sourceforge, too.  Nope.
Won't let me push.  Won't tell me why, either.  Now what?  Thanks.